
Property changes on: channels/ring_tone.h
___________________________________________________________________
Deleted: svn:mergeinfo


Property changes on: channels/busy_tone.h
___________________________________________________________________
Deleted: svn:mergeinfo

Index: include/asterisk/utils.h
===================================================================
--- include/asterisk/utils.h	(revision 228234)
+++ include/asterisk/utils.h	(working copy)
@@ -253,7 +253,9 @@
 	there is only one system call made to do a write, unless we actually
 	have a need to wait.  This way, we get better performance.
 */
-int ast_carefulwrite(int fd, char *s, int len, int timeoutms);
+//int ast_carefulwrite(int fd, char *s, int len, int timeoutms);
+#define ast_carefulwrite(fd, s, len, timeoutms) __ast_carefulwrite(fd, s, len, timeoutms, __FILE__, __PRETTY_FUNCTION__, __LINE__)
+int __ast_carefulwrite(int fd, char *s, int len, int timeoutms, const char *file, const char *func, int line);
 
 /*! Compares the source address and port of two sockaddr_in */
 static force_inline int inaddrcmp(const struct sockaddr_in *sin1, const struct sockaddr_in *sin2)
Index: main/utils.c
===================================================================
--- main/utils.c	(revision 228234)
+++ main/utils.c	(working copy)
@@ -919,7 +919,7 @@
 	return ast_poll(pfd, 1, ms);
 }
 
-int ast_carefulwrite(int fd, char *s, int len, int timeoutms) 
+int __ast_carefulwrite(int fd, char *s, int len, int timeoutms, const char *file, const char *func, int line)
 {
 	struct timeval start = ast_tvnow();
 	int res = 0;
@@ -935,7 +935,7 @@
 		while ((res = ast_poll(&pfd, 1, timeoutms - elapsed)) <= 0) {
 			if (res == 0) {
 				/* timed out. */
-				ast_log(LOG_NOTICE, "Timed out trying to write\n");
+				ast_log(LOG_NOTICE, "Timed out trying to write at line %d of %s in file %s\n", line, func, file);
 				return -1;
 			} else if (res == -1) {
 				/* poll() returned an error, check to see if it was fatal */

Property changes on: main/editline/makelist.in
___________________________________________________________________
Deleted: svn:mergeinfo

